package org.eclipse.help.internal.webapp.data;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.core.runtime.IConfigurationElement;
import org.eclipse.core.runtime.IExtensionRegistry;
import org.eclipse.core.runtime.Platform;

public class ButtonUtil {
	
	public static IConfigurationElement[] getElements() {
		IExtensionRegistry registry = Platform.getExtensionRegistry();
		IConfigurationElement[] elements = registry
				.getConfigurationElementsFor("org.eclipse.help.webapp.toolbarButton");
		if (elements == null || elements.length == 0) {
			return new IConfigurationElement[0];
		}
		if (elements[0] == null) {
			return new IConfigurationElement[0];
		}
		return elements;
	}
	
	public static Object[] getJavascripts(){
		List jsPaths = new ArrayList();
		String jsPath = null;
		IConfigurationElement[] elements = getElements();
		
		if(elements.length == 0) {
			return new Object[0];
		}
		
		IConfigurationElement[] extraButtons = elements[0].getChildren();
		for (int i = 0; i < extraButtons.length; i++) {
			jsPath = "../help/" + extraButtons[i].getAttribute("js");
			jsPaths.add(jsPath);
		}
		
		return jsPaths.toArray();
	}
	
	public static Object[] getContentToolbarButtons() {
		
		List buttons = new ArrayList();
		IConfigurationElement[] elements = getElements();
		
		if(elements.length == 0) {
			return new Object[0];
		}
		
		String[] args = Platform.getCommandLineArgs();
		
		IConfigurationElement[] extraButtons = elements[0].getChildren();
		String imagePath;
		String state;
		for (int i = 0; i < extraButtons.length; i++) {
			imagePath = "../help/"  + extraButtons[i].getAttribute("image");
			state = extraButtons[i].getAttribute("state");
			if(state == null) {
				state = "hidden";
			}
			for(int j=0; j<args.length; j++) {
				if(state.equals(args[j].substring(1))) {
					state = "off";
					break;
				}
				if(j == args.length - 1) {
					state = "hidden";
				}
			}
			
			buttons.add(new ToolbarButton(extraButtons[i].getAttribute("name"),
					extraButtons[i].getAttribute("tooltip"), imagePath, extraButtons[i]
							.getAttribute("action"), extraButtons[i]
							.getAttribute("param"), state));
			
			
		}
		
		return buttons.toArray(new ToolbarButton[buttons.size()]);
	}
	
	public static ToolbarButton[] getTocToolbarButtons() {
		return null;
	}
}
