package org.eclipse.help.internal.webapp.servlet;

import java.io.FilterOutputStream;
import java.io.IOException;
import java.io.OutputStream;

public class HTMLAmpOutputStreams {
	private static byte[] amp = new byte[]{'a','m','p',';'};
	public static OutputStream addAmp(OutputStream out){
		return new HTMLAddAmpEntityOutputStream(out);
	}
	
	public static OutputStream removeAmp(OutputStream out){
		return new HTMLRemoveAmpEntityOutputStream(out);
	}
	
	private static class HTMLAddAmpEntityOutputStream extends FilterOutputStream{

		public HTMLAddAmpEntityOutputStream(OutputStream out) {
			super(out);
		}

		public void write(int b) throws IOException {
			out.write(b);
			if(b == '&'){
				out.write(amp);
			}
		}
		
	}
	
	private static class HTMLRemoveAmpEntityOutputStream extends FilterOutputStream{

		public HTMLRemoveAmpEntityOutputStream(OutputStream out) {
			super(out);
		}
		
		private static final int STATE_START = 0;
		private static final int STATE_AND = 1;
		private static final int STATE_AND_A = 2;
		private static final int STATE_AND_AM = 3;
		private static final int STATE_AND_AMP = 4;
		private int state = STATE_START;
		
		public void write(int b) throws IOException {
			switch (state) {
			case STATE_START:
				if(b == '&'){
					state = STATE_AND;
				}
				out.write(b);
				break;
			case STATE_AND:
				if(b == 'a' || b == 'A'){
					state = STATE_AND_A;
				}else{
					out.write(b);
					state = STATE_START;
				}
				break;
			case STATE_AND_A:
				if(b == 'm' || b == 'M'){
					state = STATE_AND_AM;
				}else{
					out.write(amp,0,1);
					out.write(b);
					state = STATE_START;
				}
				break;
			case STATE_AND_AM:
				if(b == 'p' || b == 'P'){
					state = STATE_AND_AMP;
				}else{
					out.write(amp,0,2);
					out.write(b);
					state = STATE_START;
				}
				break;
			case STATE_AND_AMP:
				if(b == ';'){
					state = STATE_START;
				}else{
					out.write(amp,0,3);
					out.write(b);
					state = STATE_START;
				}
				break;
			}
		}
	}
	
//	public static void main(String[] args){
////		OutputStream os = new HTMLAmpOutputStreams.HTMLAddAmpEntityOutputStream(System.out);
////		try {
////			os.write("&amp;".getBytes());
////			os.flush();
////			os.close();
////			//expected result: <a><b><!--//leave me alone--></b></a> <!-- <s></s> -->
////		} catch (IOException e) {
////			// TODO Auto-generated catch block
////			e.printStackTrace();
////		}
////		
////		
////		OutputStream os1 = new HTMLAmpOutputStreams.HTMLRemoveAmpEntityOutputStream(System.out);
////		try {
////			os1.write("&amp;".getBytes());
////			os1.flush();
////			os1.close();
////			//expected result: <a><b><!--//leave me alone--></b></a> <!-- <s></s> -->
////		} catch (IOException e) {
////			// TODO Auto-generated catch block
////			e.printStackTrace();
////		}
//		
//		OutputStream os2 = new HTMLRemoveAmpEntityOutputStream(new HTMLAddAmpEntityOutputStream(System.out));
//		try {
//			os2.write(("&quot;<meta content='(PICS-1.1 \"http://www.icra.org/ratingsv02.html\" l gen true r (cz 1 lz 1 nz 1 oz 1 vz 1) \"http://www.rsac.org/ratingsv01.html\" l gen true r (n 0 s 0 v 0 l 0) \"http://www.classify.org/safesurf/\" l gen true r (SS~~000 1))'" +
//"http-equiv=\"PICS-Label\"/>").getBytes());
//			os2.flush();
//			os2.close();
//			//expected result: <a><b><!--//leave me alone--></b></a> <!-- <s></s> -->
//		} catch (IOException e) {
//			// TODO Auto-generated catch block
//			e.printStackTrace();
//		}
//	}
}
